.automatic-payment {
  @include size(665px);
  margin: 30px 0 0;

  &__wrapper {
    @include size(100%);
    padding: 30px 40px;
    border: 1px solid $border;
    border-radius: 5px;
  }

  &__row {
    @include flex(flex, row, nowrap);
  }

  &__column {
    @include flex(flex, column, nowrap);
    justify-content: flex-end;
    margin: 0 20px 30px 0;

    &:only-child {
      margin: 0 0 30px;
    }

    &:last-child {
      margin: 0 0 30px;
    }
  }

  &__label {
    margin: 0 0 15px;
    @include font(15px, 400, 1.33);
  }

  &__input {
    @include size(205px, 45px);
    padding: 12px 20px 13px;
    margin: 0;
  }

  &__button {
    @include size(null, 45px);
    margin: 0;
    padding: 12px 20px 13px;
    @include font(14px, 700, 1.43, .5px);
  }

  &__description {
    max-width: 430px;
    @include font(13px, 300, 1.54);
    color: #323c47;
  }

  &__remove {
    @include flex(inline-flex, row, nowrap);
    align-items: center;
    margin: 20px 0 0;
    cursor: pointer;

    span {
      padding: 0 0 0 10px;
      @include font(14px, 400, 1.43);
      color: $red;
    }
  }

  &__icon {
    margin: 0 10px 0 0;
    fill: $red;
  }
}

.next-automatic-payment {
  margin: 5px 0 0;
  background-color: #f8f8f8;
  border-radius: 5px;
  padding: 10px 15px;
  @include font(14px, 500, 1.43);
  cursor: pointer;

  .link {
    @include font(14px, 400, 1.43);
  }
}

@media #{$mobile} {
  .automatic-payment {
    @include size(100%);
    margin: 15px 0 0;

    &__wrapper {
      padding: 20px;
    }

    &__row {
      @include flex(null, column, wrap);
    }

    &__column {
      @include size(100%);
      @include flex(null, null, wrap);
      margin: 0 0 20px;

      &:last-child {
        margin: 0;
      }
    }

    &__input {
      @include size(100%);
    }

    &__button {
      margin: 0 0 20px !important;
    }

    &__description {
      margin: 0;
    }
  }
}
